Custom Query (196 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (1 - 3 of 196)

1 2 3 4 5 6 7 8 9 10 11
Ticket Resolution Summary Owner Reporter
#208 fixed We deleted the known_hosts file achernya geofft
Description

And so autoinstalls prompt about host keys. We should fix this.

#113 fixed Django auto-installs on a machine where USER != ATHENA_USER get wrong email address adehnert adehnert
Description

Currently, the Django auto-installer bakes the username of the running user into settings.py as the email address in the ADMINS variable. On a debathena-standard machine where $USER and $ATHENA_USER don't match, this will result in mail relating to your autoinstall going to $USER@… instead of $ATHENA_USER@…. This seems unfortunate.

So far as I can tell, the semantics of the "human" argument to the onserver scripts is something like "Athena username". Assuming that's the case, I think the patch below will fix this bug, though I'm not actually sure how to test it, so I haven't.

Index: locker/deploy/bin/onathena
===================================================================
--- locker/deploy/bin/onathena	(revision 1454)
+++ locker/deploy/bin/onathena	(working copy)
@@ -256,7 +256,7 @@
 fi
 cd "$origdir"
 
-vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "$USER" || die "Unknown failure during configuration"
+vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "${ATHENA_USER:-$USER}" || die "Unknown failure during configuration"
 rm -f "$lroot/web_scripts/$addrend/.scripts-tmp"
 checkfailed
#280 fixed Separate core AFS monitoring from foreign cells adehnert adehnert
Description

At the moment, it's hard to tell when a nagios AFS warning is due to something we care about (-c athena or -c sipb mostly, I think) going down vs. some foreign cell. We probably want separate nagios checks for the two.

1 2 3 4 5 6 7 8 9 10 11
Note: See TracQuery for help on using queries.